import * as React from 'react';
import { FormControlProps } from './Item';
export interface RangeProps extends FormControlProps {
    max?: number;
    min?: number;
    step?: number;
    unit?: string;
    clearable?: boolean;
    name?: string;
    disabled?: boolean;
    showInput?: boolean;
    className?: string;
    onChange: (value: number) => void;
}
export interface DefaultProps {
    max: number;
    min: number;
    step: number;
    unit: string;
    clearable: boolean;
    disabled: boolean;
    showInput: boolean;
}
export interface RangeState {
    value: any;
}
export default class RangeControl extends React.PureComponent<RangeProps, RangeState> {
    midLabel?: HTMLSpanElement;
    static defaultProps: DefaultProps;
    constructor(props: RangeProps);
    componentWillReceiveProps(nextProps: RangeProps): void;
    componentDidMount(): void;
    componentDidUpdate(prevProps: RangeProps): void;
    updateStyle(): void;
    midLabelRef(ref: any): void;
    handleChange(value: any): void;
    handleEnd(value: any): void;
    getStepPrecision(): number;
    getValue(value: any): any;
    handleInputChange(evt: React.ChangeEvent<HTMLInputElement>): void;
    rangeValue(): number;
    render(): JSX.Element;
}
export declare class RangeControlRenderer extends RangeControl {
}
